#!/bin/sh
rm -f toto*.dat
rm -f gnuplot-command
touch toto.dat
echo "set terminal postscript eps color" >> gnuplot-command
echo "plot \"toto.dat\"\\" >> gnuplot-command
for request in `seq 8 8` ; do
   for heuristic in `seq 0 1` ; do
      for nb_task in `seq 20 20 120` ; do
         cat deployment_generic_1.txt | sed "s/max_request/$request/" | \
            sed "s/heuristic/$heuristic/" | sed "s/nb_task/$nb_task/" >  deployment.txt ;
         echo "max_request=$request  heuristic=$heuristic nb_task=$nb_task";
         time=`./mslave platform.txt deployment.txt 2>/dev/null  | sed 's/.* //g'`;
         echo "-> $time";
         echo "$nb_task $time" >> toto-$request-$heuristic.dat;
      done;
      echo ", \"toto-$request-$heuristic.dat\" with linespoints\\" >> gnuplot-command;
   done
done
echo "" >> gnuplot-command
gnuplot < gnuplot-command > toto.eps
gv toto.eps
